camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CAMEL-5666) The ErrorHandler compiled by old Version Camel is unavailable on 2.10.1
Date Sat, 29 Sep 2012 13:06:07 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-5666?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Claus Ibsen resolved CAMEL-5666.
--------------------------------

       Resolution: Not A Problem
    Fix Version/s: 2.11.0
         Assignee: Willem Jiang
    
> The ErrorHandler compiled by old Version Camel is unavailable on 2.10.1
> -----------------------------------------------------------------------
>
>                 Key: CAMEL-5666
>                 URL: https://issues.apache.org/jira/browse/CAMEL-5666
>             Project: Camel
>          Issue Type: Bug
>          Components: camel-core
>    Affects Versions: 2.10.1
>         Environment: Camel-2.10.1
>            Reporter: liugang
>            Assignee: Willem Jiang
>             Fix For: 2.11.0
>
>
> the signature of "errorHandler()" seems changed from "*public RouteBuilder errorHandler(ErrorHandlerBuilder
errorHandlerBuilder)*" to "*public void errorHandler(ErrorHandlerBuilder errorHandlerBuilder)*"
> So if I have a route compiled on and old version camel (for example, 2.9.3) which includes
an ErrorHandler component, then it doesn't work again on 2.10.1

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message